Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6421 - linuxconf wants to remount the CD
Summary: linuxconf wants to remount the CD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-27 13:13 UTC by mal
Modified: 2016-12-09 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-16 15:53:29 UTC


Attachments (Terms of Use)

Description mal 1999-10-27 13:13:46 UTC
Hi,
on a fresh installed RedHat 6.1
when RedHat installation CD 1
is in the CDROM
linuxconf wants to remount /mnt/cdrom
each time I start linuxconf.
Even after linuxconf remounted the CD
next time linuxconf started it wants to remount
the CD again.
It is verry annoying.
While RedHat CD 1 is in CD ROM
linuxconf wants to remount the CD.
Even answering "YES" on linuxconf
question about remounting the CD does not help.

Comment 1 Michael K. Johnson 1999-12-02 18:54:59 UTC
Jacques, this may be a bad interaction with magicdev.

Comment 2 Michael K. Johnson 1999-12-03 13:19:59 UTC
Jacques says:
>No I don't think so. Linuxconf does not know about the "owner" flag in
>/etc/fstab. This flag is a special case, like "user" I guess. Linuxconf
>treats this unknown flag as a normal mount flag and expect to see it in
>/etc/mtab, which is not the case.

Ah.  The owner flag is just like "user" except that only the owner of
the device is allowed to mount the filesystem.  pam_console changes
the ownership of several devices, including /dev/cdrom and /dev/fd?*,
when users log in at the local console, and then via the "owner" flag
they are allowed to mount filesystems on floppies and cdroms.

Comment 3 Michael K. Johnson 1999-12-15 15:54:59 UTC
Jacques, was this fixed in the big patch you sent?

Comment 4 Michael K. Johnson 1999-12-16 15:53:59 UTC
1.16r10-2 fixes this bug

Comment 5 openshift-github-bot 2016-12-09 16:38:24 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/9b4e8a568d88995535bfbf059ffd0b03f93c5af1
Merge pull request #12179 from gabemontero/issue6421

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.